10DLC
Create 10DLC brand
Create a 10DLC brand registration. The brand starts in draft status. Submit it for review using the submit endpoint.
POST
/
v1
/
10dlc
/
brands
Create 10DLC brand
curl --request POST \
--url https://api.zavu.dev/v1/10dlc/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityType": "PRIVATE_PROFIT",
"displayName": "Acme Corp",
"companyName": "Acme Corporation",
"ein": "12-3456789",
"email": "compliance@acme.com",
"phone": "+14155551234",
"street": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postalCode": "94102",
"country": "US",
"website": "https://acme.com",
"vertical": "Technology"
}
'import requests
url = "https://api.zavu.dev/v1/10dlc/brands"
payload = {
"entityType": "PRIVATE_PROFIT",
"displayName": "Acme Corp",
"companyName": "Acme Corporation",
"ein": "12-3456789",
"email": "compliance@acme.com",
"phone": "+14155551234",
"street": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postalCode": "94102",
"country": "US",
"website": "https://acme.com",
"vertical": "Technology"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entityType: 'PRIVATE_PROFIT',
displayName: 'Acme Corp',
companyName: 'Acme Corporation',
ein: '12-3456789',
email: 'compliance@acme.com',
phone: '+14155551234',
street: '123 Main St',
city: 'San Francisco',
state: 'CA',
postalCode: '94102',
country: 'US',
website: 'https://acme.com',
vertical: 'Technology'
})
};
fetch('https://api.zavu.dev/v1/10dlc/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brand": {
"id": "<string>",
"displayName": "Acme Corp",
"email": "jsmith@example.com",
"phone": "+14155551234",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "US",
"vertical": "Technology",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyName": "<string>",
"ein": "12-3456789",
"firstName": "<string>",
"lastName": "<string>",
"website": "<string>",
"stockSymbol": "<string>",
"stockExchange": "<string>",
"brandScore": 123,
"brandRelationship": "<string>",
"failureReason": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Business entity type for 10DLC brand registration.
Available options:
PRIVATE_PROFIT, PUBLIC_PROFIT, NON_PROFIT, GOVERNMENT, SOLE_PROPRIETOR Display name of the brand.
Maximum string length:
100Example:
"Acme Corp"
Contact phone in E.164 format.
Example:
"+14155551234"
Maximum string length:
200Maximum string length:
100Maximum string length:
50Maximum string length:
20Two-letter ISO country code.
Required string length:
2Example:
"US"
Industry vertical.
Maximum string length:
50Example:
"Technology"
Legal company name.
Maximum string length:
200Employer Identification Number (format: XX-XXXXXXX).
Example:
"12-3456789"
Maximum string length:
50Maximum string length:
50Maximum string length:
10Maximum string length:
50Response
Brand created in draft status.
Show child attributes
Show child attributes
⌘I
Create 10DLC brand
